javax.servlet.annotation

## Annotation Type WebServlet

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      @Documented
      public @interface WebServlet

  Annotation used to declare a servlet.

  This annotation is processed by the container at deployment time, and the corresponding servlet made available at the specified URL patterns.

  Since:
    Servlet 3.0
  See Also:
    `Servlet`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `asyncSupported` Declares whether the servlet supports asynchronous operation mode.
    `String` | `description` The description of the servlet
    `String` | `displayName` The display name of the servlet
    `WebInitParam[]` | `initParams` The init parameters of the servlet
    `String` | `largeIcon` The large-icon of the servlet
    `int` | `loadOnStartup` The load-on-startup order of the servlet
    `String` | `name` The name of the servlet
    `String` | `smallIcon` The small-icon of the servlet
    `String[]` | `urlPatterns` The URL patterns of the servlet
    `String[]` | `value` The URL patterns of the servlet

- - ### Element Detail

    - #### name

          public abstract String name

      The name of the servlet
      Default:
        ""

    - #### value

          public abstract String[] value

      The URL patterns of the servlet
      Default:
        {}

    - #### urlPatterns

          public abstract String[] urlPatterns

      The URL patterns of the servlet
      Default:
        {}

    - #### loadOnStartup

          public abstract int loadOnStartup

      The load-on-startup order of the servlet
      Default:
        -1

    - #### initParams

          public abstract WebInitParam[] initParams

      The init parameters of the servlet
      Default:
        {}

    - #### asyncSupported

          public abstract boolean asyncSupported

      Declares whether the servlet supports asynchronous operation mode.
      See Also:
        `ServletRequest.startAsync()`, `ServletRequest.startAsync(ServletRequest, ServletResponse)`
      Default:
        false

    - #### smallIcon

          public abstract String smallIcon

      The small-icon of the servlet
      Default:
        ""

    - #### largeIcon

          public abstract String largeIcon

      The large-icon of the servlet
      Default:
        ""

    - #### description

          public abstract String description

      The description of the servlet
      Default:
        ""

    - #### displayName

          public abstract String displayName

      The display name of the servlet
      Default:
        ""

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.